Bug 541372 - ghc-HUnit conflicts with ghc-6.10 (f11-updates-testing)
Summary: ghc-HUnit conflicts with ghc-6.10 (f11-updates-testing)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ghc-HUnit
Version: 11
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-25 17:50 UTC by Krzesimir Nowak
Modified: 2010-01-14 09:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-14 09:08:42 UTC
Type: ---


Attachments (Terms of Use)

Description Krzesimir Nowak 2009-11-25 17:50:29 UTC
Description of problem:
ghc-HUnit-* conflicts with files from ghc(-prof|-doc)? packages.

Version-Release number of selected component (if applicable):
HUnit - 1.2.0.3-1 from updates-testing
GHC - 6.10.3-3 from updates

How reproducible:
Install ghc, ghc-prof, ghc-doc and then install ghc-HUnit-*

Steps to Reproduce:
1. Install ghc, ghc-prof, ghc-doc
2. Install ghc-HUnit-*
  
Actual results:
Transaction failed, HUnit not installed.

Expected results:
Transaction passed, HUnit installed.

Additional info:
output from yum:
Transaction Check Error:
  file /usr/lib/ghc-6.10.3/HUnit-1.2.0.3/HSHUnit-1.2.0.3.o from install of ghc-HUnit-devel-1.2.0.3-1.fc11.i586 conflicts with file from package ghc-6.10.3-3.fc11.i586
  file /usr/lib/ghc-6.10.3/HUnit-1.2.0.3/Test/HUnit.hi from install of ghc-HUnit-devel-1.2.0.3-1.fc11.i586 conflicts with file from package ghc-6.10.3-3.fc11.i586
  file /usr/lib/ghc-6.10.3/HUnit-1.2.0.3/Test/HUnit/Base.hi from install of ghc-HUnit-devel-1.2.0.3-1.fc11.i586 conflicts with file from package ghc-6.10.3-3.fc11.i586
  file /usr/lib/ghc-6.10.3/HUnit-1.2.0.3/Test/HUnit/Lang.hi from install of ghc-HUnit-devel-1.2.0.3-1.fc11.i586 conflicts with file from package ghc-6.10.3-3.fc11.i586
  file /usr/lib/ghc-6.10.3/HUnit-1.2.0.3/Test/HUnit/Text.hi from install of ghc-HUnit-devel-1.2.0.3-1.fc11.i586 conflicts with file from package ghc-6.10.3-3.fc11.i586
  file /usr/lib/ghc-6.10.3/HUnit-1.2.0.3/libHSHUnit-1.2.0.3.a from install of ghc-HUnit-devel-1.2.0.3-1.fc11.i586 conflicts with file from package ghc-6.10.3-3.fc11.i586
  file /usr/lib/ghc-6.10.3/HUnit-1.2.0.3/Test/HUnit.p_hi from install of ghc-HUnit-prof-1.2.0.3-1.fc11.i586 conflicts with file from package ghc-prof-6.10.3-3.fc11.i586
  file /usr/lib/ghc-6.10.3/HUnit-1.2.0.3/Test/HUnit/Base.p_hi from install of ghc-HUnit-prof-1.2.0.3-1.fc11.i586 conflicts with file from package ghc-prof-6.10.3-3.fc11.i586
  file /usr/lib/ghc-6.10.3/HUnit-1.2.0.3/Test/HUnit/Lang.p_hi from install of ghc-HUnit-prof-1.2.0.3-1.fc11.i586 conflicts with file from package ghc-prof-6.10.3-3.fc11.i586
  file /usr/lib/ghc-6.10.3/HUnit-1.2.0.3/Test/HUnit/Text.p_hi from install of ghc-HUnit-prof-1.2.0.3-1.fc11.i586 conflicts with file from package ghc-prof-6.10.3-3.fc11.i586
  file /usr/lib/ghc-6.10.3/HUnit-1.2.0.3/libHSHUnit-1.2.0.3_p.a from install of ghc-HUnit-prof-1.2.0.3-1.fc11.i586 conflicts with file from package ghc-prof-6.10.3-3.fc11.i586
  file /usr/share/doc/ghc/libraries/HUnit/Test-HUnit-Base.html from install of ghc-HUnit-doc-1.2.0.3-1.fc11.i586 conflicts with file from package ghc-doc-6.10.3-3.fc11.i586
  file /usr/share/doc/ghc/libraries/HUnit/Test-HUnit-Lang.html from install of ghc-HUnit-doc-1.2.0.3-1.fc11.i586 conflicts with file from package ghc-doc-6.10.3-3.fc11.i586
  file /usr/share/doc/ghc/libraries/HUnit/Test-HUnit-Terminal.html from install of ghc-HUnit-doc-1.2.0.3-1.fc11.i586 conflicts with file from package ghc-doc-6.10.3-3.fc11.i586
  file /usr/share/doc/ghc/libraries/HUnit/Test-HUnit-Text.html from install of ghc-HUnit-doc-1.2.0.3-1.fc11.i586 conflicts with file from package ghc-doc-6.10.3-3.fc11.i586

Comment 1 Jens Petersen 2009-12-11 07:32:42 UTC
ghc-HUnit should not have been pushed to f11.
It will be needed for ghc 6.12 in Fedora 13.

I untagged it in koji from f11 updates-testing
so hoefully it will go away.

Maybe I was too quick to kill the bodhi ticket
before the package could get pulled from the repos? :-/

Comment 2 Jens Petersen 2010-01-14 09:08:42 UTC
Should be long gone from the updates repos now - thanks.


Note You need to log in before you can comment on or make changes to this bug.